Page MenuHomePhabricator

Sort out Notification categories to make them more logical for Preferences
Closed, ResolvedPublic

Description

Ticket T132977 enables users to disable notifications types from within notifications. This is not full-featured volume control, as has been discussed, but more of a shortcut to the Notifications Preferences. Before we create that capability, it will be desirable to first have a look at the categories and the Preferences page to address certain inconsistencies. These are discussed in T132426 and T133367, and include:

  • Make the Mentions category apply to all mentions, including flow mentions.
  • Make the Talk Page category apply to all talk page notifications, including Flow notifications.
  • Move flow-enabled-on-talkpage to the System category
  • Eliminate the Flow preference/category per se and replace it with one or more preferences/categories defined functionally--e.g., "Discussion updates" or similar.

The current categorization is (see also Special:DisplayNotificationsConfiguration):

System (system): welcome, thank-you-edit
User rights change (user-rights): user-rights
Other (other):
Talk page message (edit-user-talk): edit-user-talk
Edit revert (reverted): reverted
Page link (article-linked): page-linked
Mention (mention): mention
Email from other user (emailuser): emailuser
Flow (flow-discussion): flow-new-topic, flow-post-reply, flow-post-edited, flow-topic-renamed, flow-summary-edited, flow-description-edited, flow-mention, flow-enabled-on-talkpage, flow-topic-resolved
Page review (page-review): pagetriage-mark-as-reviewed, pagetriage-add-maintenance-tag, pagetriage-add-deletion-tag
Thanks (edit-thank): edit-thank, flow-thank

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 20 2016, 9:03 PM
jmatazzoni removed Pginer-WMF as the assignee of this task.
jmatazzoni claimed this task.

@Mattflaschen is working on a special page that lists all the notifications and their categories. This will be very helpful for this task; Matt please provide a link when it's ready. Also, Matt, please note: I know this task doesn't logically have to block T132977, but I discussed it with Roan and he thinks it's better if we address this first.

From T133367 (dupe that I filed before finding this task): moving user-talk-related Flow notifications to the user talk category would be desirable, but not trivial because we'd have to split up each notification type. Right now, each Flow notification type just presents itself slightly differently if the page involved is the user's talk page. This isn't hard, just a bit tedious.

I also propose moving flow-enabled-on-talkpage to the system category.

Make the Talk Page category apply to all talk page notifications, including Flow notifications.

We should also rename it to clarify it only applies to your personal user talk. I suggest "Messages on your talk page" or "Updates on your talk page".

The link is https://www.mediawiki.org/wiki/Special:DisplayNotificationsConfiguration . It does vary per wiki (e.g. T114982: Enable by default "Email from other user" notification on hewiki), but not very much in practice.

I also propose moving flow-enabled-on-talkpage to the system category.

Yeah, it's reasonable to show this even if they have Flow disabled, since it's a one-time thing (or however many times you toggle it on).

However, there are some extensions that are only on certain wikis, e.g. EducationProgram. Thus, they'll only be displayed where they're enabled.

jmatazzoni renamed this task from Sort out Notification categories to make them more logical to Sort out Notification categories to make them more logical for Preferences.May 11 2016, 11:35 PM
Catrope updated the task description. (Show Details)Oct 6 2016, 12:32 AM
Catrope reassigned this task from jmatazzoni to KMuthu.Oct 6 2016, 12:37 AM
Catrope added a subscriber: KMuthu.

Assigning to @KMuthu for the recategorizations we know we want to do (mentions, user talk, and flow-enabled-on-talkpage).

@jmatazzoni @Trizek-WMF @Quiddity: We should figure out if we want to split up the omnibus Flow category as described in the task description, and if so, what would go where. After moving flowusertalk-*, flow-mention and flow-enabled-on-talkpage, we would be left with:

  • flow-new-topic
  • flow-post-reply
  • flow-post-edited
  • flow-topic-renamed
  • flow-summary-edited
  • flow-description-edited
  • flow-topic-resolved

I'm for grouping all Flow Notifications settings in a separate category. It will be then easier to deal with all of that.

Have a better control of Flow's notifications is asked by communities, and I have some feedback about that on our recent survey about Flow.

Do you have an idea of when that change will be done?

I'm for grouping all Flow Notifications settings in a separate category. It will be then easier to deal with all of that.

By that do you mean grouping all Flow notification types (except for user talk and mention) together into one category, or putting each type in a category by itself?

Have a better control of Flow's notifications is asked by communities, and I have some feedback about that on our recent survey about Flow.

Do you have an idea of when that change will be done?

Maybe the October 11-13 train if it happens quickly, but I think the October 25-27 train is more likely (there will not be an October 18-20 train).

I'm for grouping all Flow Notifications settings in a separate category. It will be then easier to deal with all of that.

By that do you mean grouping all Flow notification types (except for user talk and mention) together into one category, or putting each type in a category by itself?

Group them in a category by itself. That would be more clear.

Have a better control of Flow's notifications is asked by communities, and I have some feedback about that on our recent survey about Flow.

Do you have an idea of when that change will be done?

Maybe the October 11-13 train if it happens quickly, but I think the October 25-27 train is more likely (there will not be an October 18-20 train).

I'm asking because of Tech/news and our own newsletter :)

By that do you mean grouping all Flow notification types (except for user talk and mention) together into one category, or putting each type in a category by itself?

Group them in a category by itself. That would be more clear.

Wait, so each in a category by itself, or all in one category? Are you arguing for 1 Flow category or 7 Flow categories?

BTW, if we want to have 2-3 categories, we could consider grouping all the *-edited notifications together.

Do you have an idea of when that change will be done?

Maybe the October 11-13 train if it happens quickly, but I think the October 25-27 train is more likely (there will not be an October 18-20 train).

I'm asking because of Tech/news and our own newsletter :)

OK. Then I can say that we're aiming for the Oct 25-27 train. We should have no problem getting it done by then, and if it gets done early (i.e. in time for the Oct 11-13 train), I can hold it back if you like, if you want a predictable deployment date.

By that do you mean grouping all Flow notification types (except for user talk and mention) together into one category, or putting each type in a category by itself?

Group them in a category by itself. That would be more clear.

Wait, so each in a category by itself, or all in one category? Are you arguing for 1 Flow category or 7 Flow categories?

I would advice to group Notifications by status on wikis: group all notifications that are "core" and group others. There is a lot of possible notifications about Flow, so I would advise one category with everything related to Flow.

BTW, if we want to have 2-3 categories, we could consider grouping all the *-edited notifications together.

That may be confusing: most of time, Notifications are grouped by features more than by kind of actions in people's minds.

The two places where Categorization comes into play are: 1) for opt out/opt in on Preferences and 2) in a possible future interface for viewing notifications by category on the special page.

To help visualize the categories and possible changes, I set up a spreadsheet listing the current distribution and a proposed distribution I've dubbed "functional" because it groups notifications by their purpose.

The main changes in the Functional proposal are:

  • flowusertalk messages moved to Talk Page Messages.
  • flow-mention moved to Mention category.
  • User-rights and flow-enabled-on-talkpage moved to "System": because they seem to fit the category, which is composed of messages you get rarely and can't opt out of. This lets us close the User Rights category, which is good on the principle that reducing categories is a plus.
  • Flow category renamed 'Discussion', which describes the purpose of the messages that remain after the others are redistributed according to their functions.

This proposal would, I think, let us provide more consistency across wikis and would arguably correspond more with how users think about messages in a future where they would want to check on their Discussions or Talk page(s?), without having to think about what technology is being used where.

If you'd like to make your own proposal, please feel free to visit the spreadsheet and start a new section there.

At the moment, it is not possible to opt-out some notifications at the moment, like cx-first-translation, cx-tenth-translation or cx-hundredth-translation. Do we plan to change that? If yes, will it be possible to group those notifications, by creating for instance a cx-thanks-translations?

At the moment, it is not possible to opt-out some notifications at the moment, like cx-first-translation, cx-tenth-translation or cx-hundredth-translation. Do we plan to change that? If yes, will it be possible to group those notifications, by creating for instance a cx-thanks-translations?

According to https://en.wikipedia.org/wiki/Special:DisplayNotificationsConfiguration they are in the "Translations" category, along with cx-suggestions-available. It's the fourth category on the top at https://en.wikipedia.org/wiki/Special:Preferences#mw-prefsection-echo for me.

Roan notes:

According to https://en.wikipedia.org/wiki/Special:DisplayNotificationsConfiguration they are in the "Translations" category,

Which, if that's right, would mean you can opt out. Translations is on my Prefs page, anyway.

Roan notes:

According to https://en.wikipedia.org/wiki/Special:DisplayNotificationsConfiguration they are in the "Translations" category,

Which, if that's right, would mean you can opt out. Translations is on my Prefs page, anyway.

Yes, exactly.

Change 314801 had a related patch set uploaded (by Kmuthu):
Sort notification categories based on notification types

https://gerrit.wikimedia.org/r/314801

At the moment, it is not possible to opt-out some notifications at the moment, like cx-first-translation, cx-tenth-translation or cx-hundredth-translation. Do we plan to change that? If yes, will it be possible to group those notifications, by creating for instance a cx-thanks-translations?

According to https://en.wikipedia.org/wiki/Special:DisplayNotificationsConfiguration they are in the "Translations" category, along with cx-suggestions-available. It's the fourth category on the top at https://en.wikipedia.org/wiki/Special:Preferences#mw-prefsection-echo for me.

I've seen that. I haven't expressed my question clearly. I was wondering if it was possible to group the three translations I've quoted into a global "thank" group, excluding the cx-suggestions-available. That way, it would be possible to opt-out all "thanks", instead of excluding all elements related to CX.

I'm asking this because of @jmatazzoni's speadsheet, where he has suggested a functional sorting. I want to know if it would be possible to have it more functional (i.e. have a definition by action instead of a definition by product). I've made a proposal (#2) in the spreadsheet to illustrate that idea.

Change 314801 merged by jenkins-bot:
Move some flow notifications to other categories

https://gerrit.wikimedia.org/r/314801

I've seen that. I haven't expressed my question clearly. I was wondering if it was possible to group the three translations I've quoted into a global "thank" group, excluding the cx-suggestions-available. That way, it would be possible to opt-out all "thanks", instead of excluding all elements related to CX.

Oooh, I see. Yes, that's certainly possible, but I'm on the fence as to whether that makes sense. Currently, the "Thanks" group only contains notification types that arise from humans thanking you, whereas automated thanks / milestone notifications are in different groups: "Translations" for CX, and "System" (i.e. undisableable) for thank-you-edit (1st/10th/100th/... edit). Additionally, the CX Nth translation notifications, as well as thank-you-edit and welcome (which is also in the system group), can each only happen once during the user's lifetime (once for each value of N, anyway), whereas there's no limit to how many humans can thank you and how many things they can thank you for, so it's more defensible to have these types not be disableable.

Those are the arguments I can see in favor of what we have now, but maybe it does make sense to group thank-like things together in the "Thanks" category. I leave that up to @jmatazzoni to decide.

I'm asking this because of @jmatazzoni's speadsheet, where he has suggested a functional sorting. I want to know if it would be possible to have it more functional (i.e. have a definition by action instead of a definition by product). I've made a proposal (#2) in the spreadsheet to illustrate that idea.

Which spreadsheet are you talking about? Sorry, there are too many Google Docs, I lose track sometimes.

Change 314801 merged by jenkins-bot:
Move some flow notifications to other categories

https://gerrit.wikimedia.org/r/314801

@Trizek-WMF BTW this means that the Flow categorization changes will go out in the Oct 25-27 train; you said you wanted to know for newsletter purposes.

I've seen that. I haven't expressed my question clearly. I was wondering if it was possible to group the three translations I've quoted into a global "thank" group, excluding the cx-suggestions-available. That way, it would be possible to opt-out all "thanks", instead of excluding all elements related to CX.

Oooh, I see. Yes, that's certainly possible, but I'm on the fence as to whether that makes sense. Currently, the "Thanks" group only contains notification types that arise from humans thanking you, whereas automated thanks / milestone notifications are in different groups: "Translations" for CX, and "System" (i.e. undisableable) for thank-you-edit (1st/10th/100th/... edit). Additionally, the CX Nth translation notifications, as well as thank-you-edit and welcome (which is also in the system group), can each only happen once during the user's lifetime (once for each value of N, anyway), whereas there's no limit to how many humans can thank you and how many things they can thank you for, so it's more defensible to have these types not be disableable.

It would be possible to group system or automated thanks from extensions for users that don't like to interact with robots (if any)?

Those are the arguments I can see in favor of what we have now, but maybe it does make sense to group thank-like things together in the "Thanks" category. I leave that up to @jmatazzoni to decide.

Which spreadsheet are you talking about? Sorry, there are too many Google Docs, I lose track sometimes.

That one:

If you'd like to make your own proposal, please feel free to visit the spreadsheet and start a new section there.

Change 314801 merged by jenkins-bot:
Move some flow notifications to other categories

https://gerrit.wikimedia.org/r/314801

@Trizek-WMF BTW this means that the Flow categorization changes will go out in the Oct 25-27 train; you said you wanted to know for newsletter purposes.

What will change then? I ask because we are discussing about what to change, no?

@Johan Not sure that's ready to announce.

@KMuthu, in which order the categories will be displayed?

Johan added a comment.Oct 21 2016, 6:02 PM

OK, postponing it then.

@Trizek-WMF BTW this means that the Flow categorization changes will go out in the Oct 25-27 train; you said you wanted to know for newsletter purposes.

What will change then? I ask because we are discussing about what to change, no?

In the Oct 25-27 train, flow-mention will move from the Flow category to the Mention category, flow-enabled-on-talkpage will move from the Flow category to the System category, and flowusertalk-* will move from the Flow category to the Talk page message category.

@Trizek-WMF BTW this means that the Flow categorization changes will go out in the Oct 25-27 train; you said you wanted to know for newsletter purposes.

What will change then? I ask because we are discussing about what to change, no?

In the Oct 25-27 train, flow-mention will move from the Flow category to the Mention category, flow-enabled-on-talkpage will move from the Flow category to the System category, and flowusertalk-* will move from the Flow category to the Talk page message category.

Ok, thanks. That's for User-notice-collaboration, because that's only for Flow concerned wikis.

If we change other preferences sorting, that will be eligible to User-notice.

@Johan Not sure that's ready to announce.

@KMuthu, in which order the categories will be displayed?

@Trizek-WMF, as far as I know there is no particular order in which the categories will be displayed.

@Trizek-WMF, as far as I know there is no particular order in which the categories will be displayed.

Random each time? :)

That task title has "sort out" in it. What is your commit going to fix then?

Checked in betalabs - with disabled Flow notifications on the Preference page, user will still be getting the following notificaitons according to the specs (and the merged patch):

flowusertalk* => edit-user-talk
flow-mention => mention
flow-enabled-on-talkpage => system

@Trizek-WMF, as far as I know there is no particular order in which the categories will be displayed.

Random each time? :)

That task title has "sort out" in it. What is your commit going to fix then?

@Trizek-WMF: The fix I did was to categorize the notification types and place it in it's respective category. Earlier, all the notification types was placed under 'flow-discussion' category. I sorted out the notification types and placed it under the respective categories to make it more logical for preferences.

For ex:
all the 'flow' related notification types are placed under 'flow-discussion' category
all the 'flowusertalk' notification types are placed under 'edit-user-talk' category
'flow-mention' type is categorized under 'mention' category
'flow-enabled-on-talkpage' is categorized under 'system' category.

I'm still a bit confused, @KMuthu.

I've checked on beta wikis and there is nothing visible for users. That means that 'flow-mention' type is un/activated by 'mention' category? That's invisible for users, right?

So sort out all Notifications to make them appear more logical to users, aka have more options offered to users (aka what I've understood since the beginning :)) will be a separate task then?

@Trizek-WMF wrote:

'flow-mention' type is un/activated by 'mention' category? That's invisible for users, right?

Yes, I suppose that's true. Mention will now control flow Mention. Is that a problem.

@Trizek-WMF wrote:

'flow-mention' type is un/activated by 'mention' category? That's invisible for users, right?

Yes, I suppose that's true. Mention will now control flow Mention. Is that a problem.

I thought that was a separate control. Have separate control to refine user experience concerning Notifications would be a great improvement.

I'm drafting the Collaboration newsletter. Is that sentence correct concerning the change done @KMuthu? Thanks!

Notifications concerning Flow are now not group together. For instance, all talk page notifications will include Flow notifications. Before, all notifications related to Flow were grouped on the "Flow" options in your preferences.

KMuthu added a comment.Nov 2 2016, 4:42 PM

I'm drafting the Collaboration newsletter. Is that sentence correct concerning the change done @KMuthu? Thanks!

Notifications concerning Flow are now not group together. For instance, all talk page notifications will include Flow notifications. Before, all notifications related to Flow were grouped on the "Flow" options in your preferences.

@Trizek-WMF : Yes, it sounds corrects to me. Thank you!

Cool, thanks! :)

jmatazzoni closed this task as Resolved.Dec 14 2016, 8:37 PM